/* ========================================================================
 * DOM-based Routing
 * Based on http://goo.gl/EUTi53 by Paul Irish
 *
 * Only fires on body classes that match. If a body class contains a dash,
 * replace the dash with an underscore when adding it to the object below.
 *
 * .noConflict()
 * The routing is enclosed within an anonymous function so that you can
 * always reference jQuery with $, even when in .noConflict() mode.
 * ======================================================================== */

(function($) {

  // Use this variable to set up the common and page specific functions. If you
  // rename this variable, you will also need to rename the namespace below.
  var Sage = {
    // All pages
    'common': {
      init: function() {
        // JavaScript to be fired on all pages

        //functions
        imagesLoaded( 'body', function() {
            $("#preloader").fadeOut("fast");
            $("body").removeClass("preload");
        });

        $(document).foundation(); // Foundation JavaScript

		wow = new WOW ({
			mobile: false
		});
		wow.init();

		$("a[href='#header']").click(function() {
			$("html, body").animate({ scrollTop: 0 }, "normal");
			return false;
		});

		$('.select-lang').niceSelect();

		$( '#header .hamburger' ).on('click', function() {
			$( this ).toggleClass( 'is-active' );
			$( 'html, body' ).toggleClass( "preload" );
			$( '.mobile-nav' ).toggleClass( 'open' );
		});

		// fixed menu after scroll & colors
		var onenav_height = $(".onepage-nav").height();
		var onenav_scroll = jQuery(document).scrollTop();
			if(onenav_scroll>onenav_height + 150){
				$('.onepage-nav').addClass('fixed-nav');
			} else {
				$('.onepage-nav').removeClass('fixed-nav');
			}

		$( window ).scroll(function() {
			var onenav_height = $(".onepage-nav").height();
			var onenav_scroll = jQuery(document).scrollTop();
				if(onenav_scroll>onenav_height + 150){
					$('.onepage-nav').addClass('fixed-nav');
				} else {
					$('.onepage-nav').removeClass('fixed-nav');
				}
		});

		$(".onepage-nav a").not(' a.notgo').click(function (){
	        var url = $(this).attr('href');
	        var off = $(url).offset().top - 200;
	        $('html, body').animate({
	            scrollTop: off
	        }, 1000);
	        return false;
	    });

		$( '.gfield_description' ).hide();
		$( '.gfield_description.validation_message' ).show();
		$( '.ginput_container input, .ginput_container textarea' ).focus(function(){
			$( '.gfield_description' ).hide();
			$(this).parent().next( '.gfield_description' ).fadeIn();
		});

		$('.gfield_description').hide();
		$('.ginput_container select').focus(function(){
			$('.gfield_description').hide();
			$(this).parent().next('.gfield_description').fadeIn();
		});

		$( '.mobile-nav a' ).on('click', function() {
			$( 'html, body' ).removeClass( "preload" );
			$( '.mobile-nav' ).removeClass( 'open' );
		});

    $('.home-nav ul li.menu-item-has-children').hover(
    	function () {
    	    $('.home-nav').addClass("colors");
    	    //$('.fullscreen-nav').toggleClass("show-nav");
    		var menu_height = $(this).find('ul').height() + 150;
    		$('.home-nav .home-nav-bg, .home-nav .home-nav-inner').css('height', menu_height);
    	},
    	function() {
    		$('.home-nav').removeClass("colors");
    		$('.home-nav .home-nav-bg, .home-nav .home-nav-inner').css('height', 0);
    	}
    );

    $( ".home-nav .home-nav-row" ).wrap( "<div class='home-nav-bg'><div class='home-nav-inner'></div></div>" );


		WebFontConfig = {
			google: { families: [ 'Montserrat:300,400,700:latin', 'Roboto+Condensed:400,700:latin' ] },
			active: function() {
			},
        };
        (function() {
          var wf = document.createElement('script');
          wf.src = 'https://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
          wf.type = 'text/javascript';
          wf.async = 'true';
          var s = document.getElementsByTagName('script')[0];
          s.parentNode.insertBefore(wf, s);
        })();

        $('select.select-lang').on('change', function(){
            window.location.replace( $(this).val() );
            return false;
        });

		// mosaic

		function mosaic() {

			var header_height = $('#header').height();
			var footer_height = $('#footer_bottom').height();

			var middle_height = $(window).height() - header_height - footer_height;
			var small_middle_height = middle_height / 2;

			$('.mosaic-large').height( middle_height );
			$('.mosaic-small').height( small_middle_height );
			console.log( $(window).height() );
			console.log( header_height );
			console.log( footer_height );
		}

		//mosaic();

		$(window).on( 'resize', function(){
			//mosaic();
		} );

		imagesLoaded( '.gallery-slider', function() {
			$('.gallery-slider').flickity({
			  // options
			  cellAlign: 'left',
			  contain: false,
			  percentPosition: false,
			  wrapAround: true,
			  prevNextButtons: true,
			  pageDots: false
			});
		});

		$('.gallery-item a').magnificPopup({
		  type: 'image',
		  gallery:{
		    enabled:true
		  }
		});

		// fixed menu after scroll & colors
		var nav_height = $("#header").height();
		var nav_scroll = jQuery(document).scrollTop();
			if(nav_scroll>nav_height + 150){
				$('#header').addClass('fixed-header');
			} else {
				$('#header').removeClass('fixed-header');
			}

		$( window ).scroll(function() {
		var nav_height = $("#header").height();
		var nav_scroll = jQuery(document).scrollTop();
			if(nav_scroll>nav_height + 150){
				$('#header').addClass('fixed-header');
			} else {
				$('#header').removeClass('fixed-header');
			}
		});

		function init() {
		  var width = jQuery(window).width();

		  if (width <= 1024) {
			is_mobile = false;
		  } else {
			is_mobile = true;
		  }

		  // Basic options for a simple Google Map
		  // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
		  var mapOptions = {
			// How zoomed in you want the map to start at (always required)
			zoom: 6,
			draggable: is_mobile,
			scrollwheel: false,
			mapTypeControl: true,
			mapTypeControlOptions: {
			  style: google.maps.MapTypeControlStyle.HORIZONTAL_BAR,
			  position: google.maps.ControlPosition.RIGHT_TOP
			},
			zoomControl: true,
			zoomControlOptions: {
			  position: google.maps.ControlPosition.LEFT_CENTER
			},
			scaleControl: true,
			streetViewControl: true,
			streetViewControlOptions: {
			  position: google.maps.ControlPosition.LEFT_CENTER
			},
			fullscreenControl: true,
			fullscreenControlOptions: {
			  position: google.maps.ControlPosition.LEFT_CENTER
			},
			// The latitude and longitude to center the map (always required)
			center: new google.maps.LatLng(12.132565, -61.697845), // ul. Benedykta Cesarza 1, 30-427 Kraków

			// How you would like to style the map.
			// This is where you would paste any style found on Snazzy Maps.
			styles: [{"featureType":"water","elementType":"geometry","stylers":[{"color":"#e9e9e9"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#ffffff"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#ffffff"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]
		  	};

		  // Get the HTML DOM element that will contain your map
		  // We are using a div with id="map" seen below in the <body>
		  var mapElement = document.getElementById('map');

		  // Create the Google Map using our element and options defined above
		  var map = new google.maps.Map(mapElement, mapOptions);

		  // Let's also add a marker while we're at it

		  var marker = new google.maps.Marker({
			position: new google.maps.LatLng(12.132565, -61.697845),
			map: map,
			icon: template_url + "/dist/images/map-point.png",
            title: ''
		  });

          var infowindow = new google.maps.InfoWindow({
              content: $('.infowindow').html()
          });

          marker.addListener('click', function() {
              infowindow.open(map, marker);
          });
		}



		// When the window has finished loading create our google map below
		google.maps.event.addDomListener(window, 'load', init);

      },
      finalize: function() {
        // JavaScript to be fired on all pages, after page specific JS is fired

      }
    },
	'home': {
      init: function() {
	  }
    }

  };

  // The routing fires all common scripts, followed by the page specific scripts.
  // Add additional events for more control over timing e.g. a finalize event
  var UTIL = {
    fire: function(func, funcname, args) {
      var fire;
      var namespace = Sage;
      funcname = (funcname === undefined) ? 'init' : funcname;
      fire = func !== '';
      fire = fire && namespace[func];
      fire = fire && typeof namespace[func][funcname] === 'function';

      if (fire) {
        namespace[func][funcname](args);
      }
    },
    loadEvents: function() {
      // Fire common init JS
      UTIL.fire('common');

      // Fire page-specific init JS, and then finalize JS
      $.each(document.body.className.replace(/-/g, '_').split(/\s+/), function(i, classnm) {
        UTIL.fire(classnm);
        UTIL.fire(classnm, 'finalize');
      });

      // Fire common finalize JS
      UTIL.fire('common', 'finalize');
    }
  };

  // Load Events
  $(document).ready(UTIL.loadEvents);

  $.fn.almDone = function(){
    $("#load-more").fadeOut();
 };

})(jQuery); // Fully reference jQuery after this point.
