<?php
/*
	Template Name: Front Prototype Partnership
*/
?>
<?php the_post(); ?>
<nav class="onepage-nav show-for-large">
	<div class="row">
		<div class="large-12 columns">
			<?php if( ICL_LANGUAGE_CODE == 'en' ): ?>
				<ul>
					<li>
						<a class="notgo" href="<?php bloginfo( 'url' ); ?>">Home</a>
					</li>
					<li class="menu-item-has-children">
						Overview

						<ul>
							<li>
								<a href="#overview-urgent">An urgent need, a region-wide commitment</a>
							</li>
							<li>
								<a href="#overview-why">Why</a>
							</li>
							<li>
								<a href="#overview-what">What</a>
							</li>
							<li>
								<a href="#overview-structure">Structure</a>
							</li>
						</ul>
					</li>
					<li class="menu-item-has-children">
						The CLME+ SAP ICM

						<ul>
							<li>
								<a href="#clme-status">Status</a>
							</li>
							<li>
								<a href="#clme-objectives">Objectives</a>
							</li>
							<li>
								<a href="#clme-functions">Functions</a>
							</li>
							<li>
								<a href="#clme-icm">The ICM and the SDGs</a>
							</li>
							<li>
								<a href="#clme-membership">Membership</a>
							</li>
							<li>
								<a href="<?php site_url(); ?>/app/uploads/2017/06/Draft-ICM-Terms-of-Reference.pdf" target="_blank">Terms of Reference</a>
							</li>
							<li>
								<a href="<?php site_url(); ?>/app/uploads/2017/06/Draft-ICM-MOU.pdf" target="_blank">MoU</a>
							</li>
						</ul>
					</li>
					<li class="menu-item-has-children">
						The Partnership

						<ul>
							<li>
								<a href="#partnership-objectives">Objectives</a>
							</li>
							<li>
								<a href="#partnership-membership">The Core Membership</a>
							</li>
							<li>
								<a href="#partnership-substribing">Subscribing Members</a>
							</li>
							<li>
								<a href="#partnership-secretariat">The Secretariat</a>
							</li>
						</ul>
					</li>
					<li class="menu-item-has-children">
						The Alliance

						<ul>
							<li>
								<a href="#alliance">A wide-ranging membership</a>
							</li>
						</ul>
					</li>
				</ul>
			<?php else: ?>
				<ul>
					<li>
						<a class="notgo" href="<?php bloginfo( 'url' ); ?>">Inicio</a>
					</li>
					<li class="menu-item-has-children">
						Descripción

						<ul>
							<li>
								<a href="#overview-urgent">Una necesidad urgente, un compromiso a nivel regional</a>
							</li>
							<li>
								<a href="#overview-why">El porqué</a>
							</li>
							<li>
								<a href="#overview-what">El qué</a>
							</li>
							<li>
								<a href="#overview-structure">Estructurq</a>
							</li>
						</ul>
					</li>
					<li class="menu-item-has-children">
						El Mecanismo de Cooperación Provisional del PAE CLME+

						<ul>
							<li>
								<a href="#clme-status">Estatus</a>
							</li>
							<li>
								<a href="#clme-objectives">Objetivos</a>
							</li>
							<li>
								<a href="#clme-functions">Funciones</a>
							</li>
							<li>
								<a href="#clme-icm">El Mecanismo de Cooperación Provisional y los ODS</a>
							</li>
							<li>
								<a href="#clme-membership">Membresia</a>
							</li>
							<li>
								<a href="<?php site_url(); ?>/app/uploads/2017/06/Draft-ICM-Terms-of-Reference.pdf" target="_blank">Términos de Referencia</a>
							</li>
							<li>
								<a href="<?php site_url(); ?>/app/uploads/2017/06/Borrador-MdE-MIC.pdf" target="_blank">Memorando de Entendimiento</a>
							</li>
						</ul>
					</li>
					<li class="menu-item-has-children">
						La Asociación

						<ul>
							<li>
								<a href="#partnership-objectives">Objetivos</a>
							</li>
							<li>
								<a href="#partnership-membership">El nucleo</a>
							</li>
							<li>
								<a href="#partnership-substribing">Miembros Suscriptores</a>
							</li>
							<li>
								<a href="#partnership-secretariat">La Secretaría</a>
							</li>
						</ul>
					</li>
					<li class="menu-item-has-children">
						La Alianza

						<ul>
							<li>
								<a href="#alliance">Una membresia ampliada</a>
							</li>
						</ul>
					</li>
				</ul>
			<?php endif; ?>
		</div>
	</div>
</nav>
<article class="article-content padding-bottom50">
	<div class="single-top photobg shadow margin-bottom50" style="background-image: url(<?php bloginfo( 'template_url' );?>/dist/images/delete/photo6.jpg);">
		<div class="row show-for-large">
			<div class="large-12 columns text-center">
				<div class="single-title">
					<h1 class="section-head single-head">
						<?php if( get_the_ID() == '107' ):?>
							A Global Partnership for the Sustainable Management, Use and Protection of the Caribbean and North Brazil Shelf Large Marine Ecosystems.
						<?php elseif( get_the_ID() == '133') : ?>
							Una Alianza Global para el desarrollo y uso sostenibles, y la protección de los Grandes Ecosistemas Marinos del Caribe y de la Plataforma Continental del Norte de Brasil.
						<?php else : ?>
							<?php the_title(); ?>
						<?php endif ;?>
					</h1>
					<?php if ( function_exists('yoast_breadcrumb') ) {
					if( ICL_LANGUAGE_CODE == 'es' ) {
						yoast_breadcrumb('<p id="breadcrumbs">ESTÁ AQUI: ','</p>');
					} else {
						yoast_breadcrumb('<p id="breadcrumbs">YOU ARE HERE: ','</p>');
					}
				} ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row hide-for-large">
		<div class="medium-12 small-12 columns text-center">
			<h1 class="section-head single-head">
				<?php if( get_the_ID() == '107' ):?>
					A Global Partnership for the Sustainable Management, Use and Protection of the Caribbean and North Brazil Shelf Large Marine Ecosystems.
				<?php elseif( get_the_ID() == '133') : ?>
					Una Alianza Global para el desarrollo y uso sostenibles, y la protección de los Grandes Ecosistemas Marinos del Caribe y de la Plataforma Continental del Norte de Brasil.
				<?php else : ?>
					<?php the_title(); ?>
				<?php endif ;?>
			</h1>
			<?php if ( function_exists('yoast_breadcrumb') ) {
				if( ICL_LANGUAGE_CODE == 'es' ) {
					yoast_breadcrumb('<p id="breadcrumbs">ESTÁ AQUI: ','</p>');
				} else {
					yoast_breadcrumb('<p id="breadcrumbs">YOU ARE HERE: ','</p>');
				}
			} ?>
		</div>
	</div>

	<?php echo get_the_content(); ?>

</article>
