<?php
/**
 * Adds class or 'selected' if language is selected
 */
function active_language( $language = '', $type = 'select' ) {
    $lang = icl_get_languages();
    if ( isset( $lang[$language]['active'] ) && 1 == $lang[$language]['active'] ) {
        if( $type == 'select' ) {
            echo 'selected';
        } else {
            echo 'active';
        }
    }
}

/**
 * Gets url for current page in selected language
 */
function active_url( $language = '' ) {
	if ($language == ''){$language='en';}
    $lang = icl_get_languages();
    if ( isset( $lang[$language]['url'] ) ) {
        echo $lang[$language]['url'];
    } else {
        echo $lang[$default]['url'];
    }
}

/**
 * Check if current language of page exists
 */
function lang_url_exists( $language = '' ) {
	if ($language == ''){$language='en';}
    $lang = icl_get_languages();
    if ( isset( $lang[$language]['url'] ) ) {
        return true;
    } else {
		return false;
    }
}

/*
* WP SEO 'home' with transaltion
 */
add_filter( 'wpseo_breadcrumb_links', 'override_yoast_breadcrumb_trail' );

function override_yoast_breadcrumb_trail( $links ) {
	global $post;
  $links[0]['text'] = __( 'HOME', 'sage' );

	return $links;
}

add_action( 'wp_enqueue_scripts', 'remove_default_stylesheet', 20 );

/**
 * Removes usesless WPML style
 * @return [type] [description]
 */
function remove_default_stylesheet() {

    wp_dequeue_style( 'wpml-legacy-horizontal-list-0' );
}

/**
 * Load a component into a template while supplying data.
 *
 * @param string $slug The slug name for the generic template.
 * @param array $params An associated array of data that will be extracted into the templates scope
 * @param bool $output Whether to output component or return as string.
 * @return string
 */
function get_component( $slug, array $params = array(), $output = true ) {
    if(!$output) ob_start();
    if (!$template_file = locate_template("{$slug}.php", false, false)) {
      trigger_error(sprintf(__('Error locating %s for inclusion', 'sage'), $file), E_USER_ERROR);
    }
    extract($params, EXTR_SKIP);
    require($template_file);
    if(!$output) return ob_get_clean();
}

/**
 * Alternative titles on homepage
 */
function alternative_title( $title, $id = null ) {
	// sprawdzamy czy jesteśmy w single
	if ( ! is_single() && '' != get_field( 'alternative_title', $id ) && ! is_admin() ) {
		$title = get_field( 'alternative_title', $id );
	}
	return $title;
}

add_filter( 'the_title', 'alternative_title', 10, 2 );

/**
 * Allows to upload SVG
 */
function cc_mime_types( $mimes ) {
	$mimes['svg'] = 'image/svg+xml';
	return $mimes;
}
add_filter( 'upload_mimes', 'cc_mime_types' );
